using System;
using System.Collections.Generic;

namespace FortuneCookie.EPiServer.SearchAndReplace.Data
{
    /// <summary>
    /// Interface for data helper objects
    /// </summary>
    public interface IDataHelper
    {

        /// <summary>
        /// Gets all search and replace entities
        /// </summary>
        /// <returns></returns>
        List<SearchAndReplace> GetAll();

        /// <summary>
        /// Gets a search and replace entity by it's id
        /// </summary>
        /// <param name="id">Id</param>
        /// <returns></returns>
        SearchAndReplace GetById(Guid id);

        /// <summary>
        /// Updates a search and replace entity
        /// </summary>
        /// <param name="searchAndReplace">Search and replace entity</param>
        void Update(SearchAndReplace searchAndReplace);

        /// <summary>
        /// Deletes a search and replace entity
        /// </summary>
        /// <param name="searchAndReplace">Search and replace entity</param>
        void Delete(SearchAndReplace searchAndReplace);

    }
}