﻿using System;

namespace FortuneCookie.EPiServer.SearchAndReplace
{

    /// <summary>
    /// Dynamic property entity class
    /// </summary>
    public sealed class DynamicProperty : EntityBase
    {

        #region Members

        private Guid _searchAndReplaceId;
        private int _pageId;
        private int _workId;
        private string _propertyName;
        private int _sortIndex;

        #endregion Members

        #region Constructor

        /// <summary>
        /// Default constructor
        /// </summary>
        public DynamicProperty()
        {
            _searchAndReplaceId = Guid.Empty;
            _propertyName = string.Empty;
        }

        #endregion Constructor

        #region Properties

        /// <summary>
        /// Gets or sets the Search and replace Id
        /// </summary>
        public Guid SearchAndReplaceId
        {
            get
            {
                return _searchAndReplaceId;
            }
            set
            {
                if (_searchAndReplaceId == value)
                    return;

                _searchAndReplaceId = value;
                HasChanges = true;
            }
        }

        /// <summary>
        /// Gets or sets the page id
        /// </summary>
        public int PageId
        {
            get
            {
                return _pageId;
            }
            set
            {
                if (_pageId == value)
                    return;

                _pageId = value;
                HasChanges = true;
            }
        }

        /// <summary>
        /// Gets or sets the work id
        /// </summary>
        public int WorkId
        {
            get
            {
                return _workId;
            }
            set
            {
                if (_workId == value)
                    return;

                _workId = value;
                HasChanges = true;
            }
        }

        /// <summary>
        /// Gets or sets the property name
        /// </summary>
        public string PropertyName
        {
            get
            {
                return _propertyName;
            }
            set
            {
                if (_propertyName == value)
                    return;

                _propertyName = value;
                HasChanges = true;
            }
        }

        /// <summary>
        /// Gets or sets the sort index
        /// </summary>
        public int SortIndex
        {
            get
            {
                return _sortIndex;
            }
            set
            {
                if (_sortIndex == value)
                    return;

                _sortIndex = value;
                HasChanges = true;
            }
        }

        #endregion Properties

    }
}
