﻿using System;

namespace FortuneCookie.EPiServer.SearchAndReplace
{

    /// <summary>
    /// Page entity class
    /// </summary>
    public sealed class Page : EntityBase
    {

        #region Members

        private Guid _searchAndReplaceId;
        private int _pageId;
        private int _workId;
        private int _previousWorkId;
        private int _sortIndex;

        #endregion Members

        #region Constructor

        /// <summary>
        /// Default constructor
        /// </summary>
        public Page()
        {
            _searchAndReplaceId = Guid.Empty;
        }

        #endregion Constructor

        #region Properties

        /// <summary>
        /// Gets or sets the search and replace id
        /// </summary>
        public Guid SearchAndReplaceId
        {
            get
            {
                return _searchAndReplaceId;
            }
            set
            {
                if (_searchAndReplaceId == value)
                    return;

                _searchAndReplaceId = value;
                HasChanges = true;
            }
        }

        /// <summary>
        /// Gets or sets the page id
        /// </summary>
        public int PageId
        {
            get
            {
                return _pageId;
            }
            set
            {
                if (_pageId == value)
                    return;

                _pageId = value;
                HasChanges = true;
            }
        }

        /// <summary>
        /// Gets or sets the work id
        /// </summary>
        public int WorkId
        {
            get
            {
                return _workId;
            }
            set
            {
                if (_workId == value)
                    return;

                _workId = value;
                HasChanges = true;
            }
        }

        /// <summary>
        /// Gets or sets the previous work id
        /// </summary>
        public int PreviousWorkId
        {
            get
            {
                return _previousWorkId;
            }
            set
            {
                if (_previousWorkId == value)
                    return;

                _previousWorkId = value;
                HasChanges = true;
            }
        }

        /// <summary>
        /// Gets or sets the sort index
        /// </summary>
        public int SortIndex
        {
            get
            {
                return _sortIndex;
            }
            set
            {
                if (_sortIndex == value)
                    return;

                _sortIndex = value;
                HasChanges = true;
            }
        }

        #endregion Properties

    }
}
