﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="FortuneCookie.EPiServer.SearchAndReplace.SearchAndReplacePlugin" %>
<%@ Import Namespace="FortuneCookie.EPiServer.SearchAndReplace" %>
<%@ Register TagPrefix="EPiServerUI" Assembly="EPiServer" Namespace="EPiServer.Web.WebControls" %>
<%@ Register TagPrefix="EPiServerUI" Assembly="EPiServer.UI" Namespace="EPiServer.UI.WebControls" %>
<%@ Register TagPrefix="EPiServerScript" Assembly="EPiServer.UI" Namespace="EPiServer.UI.ClientScript.WebControls" %>

<asp:Literal ID="StylesLiteral" runat="server" Visible="false" EnableViewState="false">
    <style type="text/css">
        .sarInputsTable {margin-top:5px;margin-bottom:15px;}
        .sarButtonsRow {text-align:right}
        .sarInputPageReference {float:left}
        .sarEditColumn1 {width:250px;padding-left:9px}
        .sarClear {float:left;clear:both}
        .sarInformation {color:Red}
        .sarEPiStandardTable {border-style:None;border-collapse:collapse;clear:both}
        .sarInputsTable td {padding-bottom:3px}
        .sarLeftMargin {margin-left:8px}
        .sarButtonsRow .epi-cmsButton, .sarButtonsRow input, .sarButtons input {width:70px;text-align:left}
        .sarLanguageContainer {}
        .sarLanguageDropDown .ContextMenuDropDown {width:240px!important}
        .sarLanguageName {float:left}
        .sarLanguageImage {margin:0;padding:0;margin-right:10px;float:left}
        #sarContainer {display:block;padding: 5px 0 0 0px;}
        td .sarLanguageImage {padding-top:1px}
        .sarLastButton {margin-right:18px}
        #sarAreYouSure, #sarProgressContainer {display:block;z-index:2000;position:absolute;top:180px;left:175px;width:210px;height:110px;background-color:#eeeeee;padding:4px;border:solid 1px #7f9db9}
        #sarAreYouSure .sarHeader, #sarProgressContainer .sarHeader {font-weight:bold}
        #sarAreYouSure hr, #sarProgressContainer hr {color:#7f9db9;height:1px;width:100%}
        #sarAreYouSure .sarQuestion {padding:5px}
        #sarAreYouSure .sarButtons {text-align:center; margin-top:10px}
        #sarProgressContainer {display:none;height:160px}
        #sarProgress {clear:both}
        .sarProgressItem {}
        .sarProgressImageContainer {text-align:center;margin-top:10px;margin-bottom:10px}
        .sarViewButton {display:none}
        .sarSelectAllCheckBoxContainer {margin-bottom:2px;float:left;margin-right:15px}
        .sarSelectAllCheckBoxContainer label {margin-left:2px;}
        .sarView {}
        .sarApproveRollbackHeader input {}
        @-moz-document url-prefix() { .sarInputPageReference .epismallbutton {width:23px} }
    </style>
    <script type="text/javascript">
        function ShowHideAreYouSureBox(show) {
            $("#sarAreYouSure").css("display", show ? "block" : "none");
        }
        var selectingAll = false;

        function SearchAndReplaceSelectAll(checked, checkboxName) {
            selectingAll = true;
            var inputs = document.getElementsByTagName("input");

            for (i = 0, j = inputs.length; i < j; i++) {
                if (inputs[i].id.indexOf("_" + checkboxName) == -1)
                    continue;

                inputs[i].checked = checked;
            }
            selectingAll = false;
        }
        function SearchAndReplaceAreAllSelected(checkBoxName) {
            if (selectingAll)
                return;

            var allSelected = true;
            var inputs = document.getElementsByTagName("input");

            for (i = 0, j = inputs.length; i < j; i++) {
                if (inputs[i].id.indexOf("_" + checkBoxName) == -1)
                    continue;

                if (!inputs[i].checked) {
                    allSelected = false;
                    break;
                }
            }
            document.getElementById(checkBoxName).checked = allSelected;
        }

        function SearchAndReplacePageSelected(checkBoxName) {
            var inputs = document.getElementsByTagName("input");

            for (i = 0, j = inputs.length; i < j; i++) {
                if (inputs[i].id.indexOf("_" + checkBoxName) == -1)
                    continue;

                if (inputs[i].checked)
                    return true;
            }

            alert('#SELECTATLEASTONEPAGE#');
            return false;
        }

        var searchAndReplaceIntervalId = -1;
        var searchAndReplaceRequestType = "0";

        function SearchAndReplace() {
            var searchAndReplaceId = $("##FINDANDREPLACECLIENTID#").val();
            var url = "/util/FortuneCookieSearchAndReplace.aspx?rt=" + searchAndReplaceRequestType + "&id=" + searchAndReplaceId;
            $.ajax({
                url: url,
                cache: false,
                async: true,
                success: function(html) {
                    if (html == '') {
                        clearInterval(searchAndReplaceIntervalId);
                        $("#sarProgressContainer").css("display", "none");
                        $("##VIEWBUTTONCLIENTID#").click();
                    }
                    else {
                        $("#sarProgressContainer").css("display", "block");
                        $("#sarProgress").empty().append(html);
                    }
                }
            });
        }

        function SearchAndReplaceShowProgress(requestType) {
            $("#sarProgressContainer").css("display", "block");
            searchAndReplaceRequestType = requestType;
            SearchAndReplace();
            searchAndReplaceIntervalId = setInterval(SearchAndReplace, #PROGRESSREFRESHRATE#);
        }

        if (jQuery)
        {
            $(document).ready(function() {
                if ($("#sarContainer").length > 0)
                    $("#sarContainer").css("display", "block");
            });
        }
    </script>
</asp:Literal>

<div class="EP-systemContainer">
    
    <noscript>
        <p><strong><%=LanguageHelper.Translate("/searchAndReplacePlugin/mustHaveJavascript")%></strong></p>
    </noscript>
        
    <div id="sarContainer">
    
        <asp:Panel runat="server" ID="panMessage" CssClass="EP-systemMessage" Visible="false">
            <table cellspacing="5">
	            <tr>
		            <td><asp:Literal ID="litMessage" EnableViewState="false" runat="server"></asp:Literal></td>
	            </tr>
            </table>
        </asp:Panel>
        
        <asp:PlaceHolder ID="AreYouSurePlaceHolder" runat="server" Visible="false" EnableViewState="false">
            <div id="sarAreYouSure">
                <div class="sarHeader"><%=LanguageHelper.Translate("/searchAndReplacePlugin/confirmationDialog")%></div>
                <hr />
                <div class="sarQuestion"><%=LanguageHelper.Translate("/searchAndReplacePlugin/areYouSure")%></div>
                <div class="sarButtons">
                    <EPiServerUI:ToolButton Enabled="true" CommandName="Go" SkinID="Check" ToolTip='<%#LanguageHelper.Translate("/searchAndReplacePlugin/yes")%>' Text='<%#LanguageHelper.Translate("/searchAndReplacePlugin/yes")%>' runat="server" OnClick="GoButton_Click" CausesValidation="true" />
                    <EPiServerUI:ToolButton Enabled="true" CommandName="Cancel" SkinID="Cancel" ToolTip='<%#LanguageHelper.Translate("/searchAndReplacePlugin/no")%>' Text='<%#LanguageHelper.Translate("/searchAndReplacePlugin/no")%>' runat="server" OnClick="GoButton_Click" CausesValidation="false" OnClientClick="javascript:ShowHideAreYouSureBox(false);return false;" />
                </div>
            </div>
        </asp:PlaceHolder>    
        
        <asp:PlaceHolder ID="ProgressPlaceHolder" runat="server" Visible="false" EnableViewState="false">
            <asp:Button ID="ViewButton" runat="server" CssClass="sarViewButton" OnClick="ViewButton_Click" />
            <div id="sarProgressContainer">
                <div class="sarHeader"><%=LanguageHelper.Translate("/searchAndReplacePlugin/progressPleaseWait")%></div>
                <hr />
                <div class="sarProgressImageContainer"><asp:Literal ID="ProgressImageLiteral" runat="server" EnableViewState="false"><img class="sarProgressImage" src="{0}" alt="" border="0" /></asp:Literal></div>
                <div id="sarProgress">
                </div>
            </div>    
            <script type="text/javascript">
                $(document).ready(function() {
                    SearchAndReplaceShowProgress('<asp:Literal ID="ProgressTypeLiteral" runat="server" />');
                });
            </script>
        </asp:PlaceHolder>
   
        <br />
        
        <asp:PlaceHolder ID="AddButtonPlaceHolder" runat="server">
            <div class="epi-formArea epi-paddingHorizontal-small">
                <p><%=LanguageHelper.Translate("/searchAndReplacePlugin/introduction")%></p>
                <EPiServerUI:ToolButton Enabled="true" CommandName="Test" SkinID="Add" ToolTip='<%#LanguageHelper.Translate("/searchAndReplacePlugin/searchAndReplace")%>' Text='<%#LanguageHelper.Translate("/searchAndReplacePlugin/searchAndReplace")%>' runat="server" OnClick="AddButton_Click" CausesValidation="false" />
                <br /><br />
            </div>
        </asp:PlaceHolder>

        <asp:HiddenField ID="Mode" runat="server" Value="1" />
        
        <asp:Panel ID="DefaultPanel" runat="server" Visible="true">
            <div class="epi-formArea epi-paddingHorizontal-small">
                <p><strong><%=LanguageHelper.Translate("/searchAndReplacePlugin/searchAndReplaces")%></strong></p>
                <asp:Repeater ID="SummaryRepeater" runat="server" EnableViewState="false" OnItemDataBound="SummaryRepeater_ItemDataBound">
                <HeaderTemplate>
                    <table class="epi-default sarEPiStandardTable" cellspacing="0" style="border-style: none; border-collapse: collapse;" border="0">
                        <tbody>
                            <tr>
                                <th scope="col"><%=LanguageHelper.Translate("/searchAndReplacePlugin/select")%></th>
                                <asp:PlaceHolder ID="DeleteHeaderPlaceHolder" Visible="false" runat="server"><th scope="col"><%=LanguageHelper.Translate("/searchAndReplacePlugin/delete")%></th></asp:PlaceHolder>
                                <th scope="col"><%=LanguageHelper.Translate("/searchAndReplacePlugin/startPage")%></th>
                                <th scope="col"><%=LanguageHelper.Translate("/searchAndReplacePlugin/find")%></th>
                                <th scope="col"><%=LanguageHelper.Translate("/searchAndReplacePlugin/replace")%></th>
                                <th scope="col"><%=LanguageHelper.Translate("/searchAndReplacePlugin/pagesAffected")%></th>
                                <th scope="col"><%=LanguageHelper.Translate("/searchAndReplacePlugin/dynamicPropertiesAffected")%></th>
                                <th scope="col"><%=LanguageHelper.Translate("/searchAndReplacePlugin/created")%></th>
                                <th scope="col"><%=LanguageHelper.Translate("/searchAndReplacePlugin/createdBy")%></th>
                            </tr>
                </HeaderTemplate>
                <ItemTemplate>
                            <tr>
                                <td class="TraceabilityIssue"><EPiServerUI:ToolButton ID="SelectButton" Enabled="true" CommandName="Select" SkinID="Check" ToolTip='<%#LanguageHelper.Translate("/searchAndReplacePlugin/select")%>' runat="server" OnClick="SelectButton_Click" CausesValidation="false" /></td>
                                <asp:PlaceHolder ID="DeletePlaceHolder" Visible="false" runat="server"><td class="TraceabilityIssue"><EPiServerUI:ToolButton ID="DeleteButton" Enabled="true" CommandName="Delete" SkinID="Delete" ToolTip='<%#LanguageHelper.Translate("/searchAndReplacePlugin/delete")%>' runat="server" OnClick="DeleteButton2_Click" CausesValidation="false" /></td></asp:PlaceHolder>
                                <td><asp:Literal ID="StartPageLiteral" EnableViewState="false" runat="server" /></td>
                                <td><%#Server.HtmlEncode(Eval("Find").ToString())%></td>
                                <td><%#Server.HtmlEncode(Eval("Replace").ToString())%></td>
                                <td><%#((List<FortuneCookie.EPiServer.SearchAndReplace.Page>)Eval("Pages")).Count%></td>
                                <td><%#((List<DynamicProperty>)Eval("DynamicProperties")).Count%></td>
                                <td><%#((DateTime)Eval("Created")).ToString("dd/MM/yyyy HH:mm:ss")%></td>
                                <td><%#Eval("CreatedBy")%></td>
                            </tr>
                </ItemTemplate>
                <FooterTemplate>
                        </tbody>
                    </table>
                </FooterTemplate>
            </asp:Repeater>
            </div>
        </asp:Panel>

        <asp:HiddenField ID="FindAndReplaceId" runat="server" Value="" />
        
        <asp:Panel ID="CreatePanel" runat="server" Visible="false">
                <table class="sarInputsTable">
                <tr>
                    <td class="sarEditColumn1">
                        <%=LanguageHelper.Translate("/searchAndReplacePlugin/startPage")%>
                    </td>
                    <td>
                        <div class="sarInputPageReference">
                            <EPiServerUI:InputPageReference ID="StartPageLinkUrl" runat="server" DisableCurrentPageOption="true" />
                        </div>
                        <asp:RequiredFieldValidator ID="StartPageRequiredFieldValidator" EnableClientScript="false" Text="*" runat="server" ControlToValidate="StartPageLinkUrl" ErrorMessage='<%#LanguageHelper.Translate("/searchAndReplacePlugin/requiredStartPage")%>' />
                    </td>
                </tr>
                <tr>
                    <td class="sarEditColumn1">
                        <%=LanguageHelper.Translate("/searchAndReplacePlugin/startPageOnly")%>
                    </td>
                    <td>
                        <asp:CheckBox ID="StartPageOnlyCheckBox" runat="server" />
                    </td>
                </tr>
                
                <asp:PlaceHolder ID="GlobalizationPlaceHolder" runat="server" Visible="false">
                    <tr>
                        <td class="sarEditColumn1">
                            <%=LanguageHelper.Translate("/searchAndReplacePlugin/languageBranch")%>
                        </td>
                        <td class="sarLanguageDropDown">
                            <EPiServerUI:LanguageDropDownList ID="LanguageDropDown" runat="server" />
                        </td>
                    </tr>
                </asp:PlaceHolder>
                
                <tr>
                    <td class="sarEditColumn1">
                        <%=LanguageHelper.Translate("/searchAndReplacePlugin/find")%>
                    </td>
                    <td>
                        <asp:TextBox ID="FindTextBox" runat="server" CssClass="episize240" />
                        <asp:RequiredFieldValidator ID="FindRequiredFieldValidator" EnableClientScript="false" Text="*" runat="server" ControlToValidate="FindTextBox" ErrorMessage='<%#LanguageHelper.Translate("/searchAndReplacePlugin/requiredFind")%>' />
                    </td>
                </tr>
                <tr>
                    <td class="sarEditColumn1">
                        <%=LanguageHelper.Translate("/searchAndReplacePlugin/replace")%>
                    </td>
                    <td>
                        <asp:TextBox ID="ReplaceTextBox" runat="server" CssClass="episize240" />
                        <asp:CompareValidator ID="ReplaceCompareValidator" EnableClientScript="false" Text="*" runat="server" ControlToValidate="ReplaceTextBox" ControlToCompare="FindTextBox" Operator="NotEqual" ErrorMessage='<%#LanguageHelper.Translate("/searchAndReplacePlugin/compareReplace")%>' />
                    </td>
                </tr>
                <tr>
                    <td class="sarEditColumn1">
                        <%=LanguageHelper.Translate("/searchAndReplacePlugin/matchCase")%>
                    </td>
                    <td>
                        <asp:CheckBox ID="MatchCaseCheckBox" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td class="sarEditColumn1">
                        <%=LanguageHelper.Translate("/searchAndReplacePlugin/searchWithinWords")%>
                    </td>
                    <td>
                        <asp:CheckBox ID="SearchWithinWordsCheckBox" runat="server" />
                    </td>
                </tr>
                <asp:PlaceHolder ID="DynamicPropertiesPlaceHolder" runat="server">
                    <tr>
                        <td class="sarEditColumn1">
                            <%=LanguageHelper.Translate("/searchAndReplacePlugin/updateDynamicProperties")%>
                        </td>
                        <td>
                            <asp:CheckBox ID="UpdateDynamicPropertiesCheckBox" runat="server" />
                        </td>
                    </tr>
                </asp:PlaceHolder>
                <tr>
                    <td class="sarButtonsRow" colspan="2">
                        <EPiServerUI:ToolButton Enabled="true" CommandName="PreGo" SkinID="Check" ToolTip='<%#LanguageHelper.Translate("/searchAndReplacePlugin/go")%>' Text='<%#LanguageHelper.Translate("/searchAndReplacePlugin/go")%>' runat="server" OnClick="PreGoButton_Click" CausesValidation="true" />
                        <span class="sarLastButton">
                            <EPiServerUI:ToolButton Enabled="true" CommandName="Cancel" SkinID="Cancel" ToolTip='<%#LanguageHelper.Translate("/searchAndReplacePlugin/cancel")%>' Text='<%#LanguageHelper.Translate("/searchAndReplacePlugin/cancel")%>' runat="server" OnClick="CancelButton_Click" CausesValidation="false" />
                        </span>
                    </td>
                </tr>
            </table>
        </asp:Panel>
        
        <asp:Panel ID="ViewPanel" runat="server" Visible="false">
            
            <table class="sarInputsTable">
                <tr>
                    <td class="sarEditColumn1">
                        <%=LanguageHelper.Translate("/searchAndReplacePlugin/startPage")%>
                    </td>
                    <td>
                        <asp:Literal ID="StartPageLiteral" runat="server" EnableViewState="false" />
                    </td>
                </tr>
                <tr>
                    <td class="sarEditColumn1">
                        <%=LanguageHelper.Translate("/searchAndReplacePlugin/startPageOnly")%>
                    </td>
                    <td>
                        <asp:Literal ID="StartPageOnlyLiteral" runat="server" EnableViewState="false" />
                    </td>
                </tr>
                <tr>
                    <td class="sarEditColumn1">
                        <%=LanguageHelper.Translate("/searchAndReplacePlugin/languageBranch")%>
                    </td>
                    <td>
                        <asp:Literal ID="LanguageBranchLiteral" runat="server" EnableViewState="false"><span class="sarLanguageContainer"><img class="sarLanguageImage" src="{1}" alt="{0}" border="0" /><span class="sarLanguageName">{0}</span></span></asp:Literal>
                    </td>
                </tr>
                <tr>
                    <td class="sarEditColumn1">
                        <%=LanguageHelper.Translate("/searchAndReplacePlugin/find")%>
                    </td>
                    <td>
                        <asp:Literal ID="FindLiteral" runat="server" EnableViewState="false" />
                    </td>
                </tr>
                <tr>
                    <td class="sarEditColumn1">
                        <%=LanguageHelper.Translate("/searchAndReplacePlugin/replace")%>
                    </td>
                    <td>
                        <asp:Literal ID="ReplaceLiteral" runat="server" EnableViewState="false" />
                    </td>
                </tr>
                <tr>
                    <td class="sarEditColumn1">
                        <%=LanguageHelper.Translate("/searchAndReplacePlugin/matchCase")%>
                    </td>
                    <td>
                        <asp:Literal ID="MatchCaseLiteral" runat="server" EnableViewState="false" />
                    </td>
                </tr>
                <tr>
                    <td class="sarEditColumn1">
                        <%=LanguageHelper.Translate("/searchAndReplacePlugin/searchWithinWords")%>
                    </td>
                    <td>
                        <asp:Literal ID="SearchWithinWordsLiteral" runat="server" EnableViewState="false" />
                    </td>
                </tr>
                <asp:PlaceHolder ID="DynamicPropertiesPlaceHolder2" runat="server" EnableViewState="false">
                    <tr>
                        <td class="sarEditColumn1">
                            <%=LanguageHelper.Translate("/searchAndReplacePlugin/updateDynamicProperties2")%>
                        </td>
                        <td>
                            <asp:Literal ID="UpdateDynamicPropertiesLiteral" runat="server" EnableViewState="false" />
                        </td>
                    </tr>
                </asp:PlaceHolder>
                <tr>
                    <td class="sarEditColumn1">
                        <%=LanguageHelper.Translate("/searchAndReplacePlugin/created")%>
                    </td>
                    <td>
                        <asp:Literal ID="CreatedLiteral" runat="server" EnableViewState="false" />
                    </td>
                </tr>
                <tr>
                    <td class="sarEditColumn1">
                        <%=LanguageHelper.Translate("/searchAndReplacePlugin/createdBy")%>
                    </td>
                    <td>
                        <asp:Literal ID="CreatedByLiteral" runat="server" EnableViewState="false" />
                    </td>
                </tr>
                <tr>
                    <td class="sarEditColumn1">
                        <%=LanguageHelper.Translate("/searchAndReplacePlugin/pagesAffected")%>
                    </td>
                    <td>
                        <asp:Literal ID="PagesAffectedLiteral" runat="server" EnableViewState="false" />
                    </td>
                </tr>
                <tr>
                    <td class="sarEditColumn1">
                        <%=LanguageHelper.Translate("/searchAndReplacePlugin/dynamicPropertiesAffected")%>
                    </td>
                    <td>
                        <asp:Literal ID="DynamicPropertiesAffectedLiteral" runat="server" EnableViewState="false" />
                    </td>
                </tr>
                <tr>
                    <td class="sarEditColumn1">
                        <%=LanguageHelper.Translate("/searchAndReplacePlugin/errors")%>
                    </td>
                    <td>
                        <asp:Literal ID="ErrorsLiteral" runat="server" EnableViewState="false" />
                    </td>
                </tr>
                <tr>
                    <td class="sarEditColumn1">
                        <%=LanguageHelper.Translate("/searchAndReplacePlugin/completed")%>
                    </td>
                    <td>
                        <asp:Literal ID="CompletedLiteral" runat="server" EnableViewState="false" />
                    </td>
                </tr>
                <tr><td>&nbsp;</td></tr>
                <tr>
                    <td class="sarButtonsRow" colspan="2">
                        <asp:PlaceHolder ID="ApproveButtonPlaceHolder" runat="server">
                            <EPiServerUI:ToolButton Enabled="true" CommandName="Approve" SkinID="Check" ToolTip='<%#LanguageHelper.Translate("/searchAndReplacePlugin/approve")%>' Text='<%#LanguageHelper.Translate("/searchAndReplacePlugin/approve")%>' runat="server" OnClientClick="return SearchAndReplacePageSelected('ApproveCheckBox');" OnClick="ApproveButton_Click" CausesValidation="false" />
                        </asp:PlaceHolder>
                        <asp:PlaceHolder ID="RollbackButtonPlaceHolder" runat="server">
                            <EPiServerUI:ToolButton Enabled="true" CommandName="Rollback" SkinID="Delete" ToolTip='<%#LanguageHelper.Translate("/searchAndReplacePlugin/rollback")%>' Text='<%#LanguageHelper.Translate("/searchAndReplacePlugin/rollback")%>' runat="server" OnClick="RollbackButton_Click" OnClientClick="return SearchAndReplacePageSelected('RollbackCheckBox');" CausesValidation="false" />
                        </asp:PlaceHolder>
                        <asp:PlaceHolder ID="DeleteButtonPlaceHolder" runat="server" Visible="false">
                            <EPiServerUI:ToolButton Enabled="true" CommandName="Delete" SkinID="Delete" ToolTip='<%#LanguageHelper.Translate("/searchAndReplacePlugin/delete")%>' Text='<%#LanguageHelper.Translate("/searchAndReplacePlugin/delete")%>' runat="server" OnClick="DeleteButton_Click" CausesValidation="false" />
                        </asp:PlaceHolder>
                        <EPiServerUI:ToolButton Enabled="true" CommandName="Cancel" SkinID="Cancel" ToolTip='<%#LanguageHelper.Translate("/searchAndReplacePlugin/cancel")%>' Text='<%#LanguageHelper.Translate("/searchAndReplacePlugin/cancel")%>' runat="server" OnClick="CancelButton_Click" CausesValidation="false" />
                    </td>
                </tr>
            </table>

             <p class="sarClear"></p>       
             
             <EPiServerUI:TabStrip runat="server" id="ActionTab" GeneratesPostBack="False" targetid="tabView" supportedpluginarea="SystemSettings" EnableViewState="false">
	            <EPiServerUI:Tab Text="Pages" runat="server" ID="PagesTab" Sticky="true"/>
			    <EPiServerUI:Tab Text="Dynamic properties" runat="server" ID="DynamicPropertiesTab" Sticky="true"/>
			    <EPiServerUI:Tab Text="Errors" runat="server" ID="ErrorsTab" Sticky="true"/>
	        </EPiServerUI:TabStrip>
	        
	        <asp:Panel runat="server" id="tabView" CssClass="epi-padding-small">
	            <asp:Panel ID="tabPages" runat="server">
	                <asp:Literal ID="NoPagesFoundLiteral" runat="server" Text='<%#LanguageHelper.Translate("/searchAndReplacePlugin/noMatchingPages")%>'></asp:Literal>
	                <asp:Repeater ID="PagesRepeater" runat="server" EnableViewState="false" OnItemDataBound="PagesRepeater_ItemDataBound">
                        <HeaderTemplate>
                            <table class="epi-default sarEPiStandardTable" cellspacing="0" style="border-style: none; border-collapse: collapse;" border="0">
                                <tr>
                                    <th scope="col"><%=LanguageHelper.Translate("/searchAndReplacePlugin/view")%></th>
                                    <asp:PlaceHolder ID="ApprovePlaceHolder" runat="server" EnableViewState="false">
                                        <th scope="col" class="sarApproveRollbackHeader"><%=LanguageHelper.Translate("/searchAndReplacePlugin/approve")%>&nbsp;&nbsp;<input type="checkbox" id="ApproveCheckBox" value="<%=LanguageHelper.Translate("/searchAndReplacePlugin/selectAll")%>" onclick="javascript:SearchAndReplaceSelectAll(this.checked, 'ApproveCheckBox');" /> <label for="selectAllCheckBox"><%=LanguageHelper.Translate("/searchAndReplacePlugin/selectAll")%></label></th>
                                    </asp:PlaceHolder>
                                    <asp:PlaceHolder ID="RollbackPlaceHolder" runat="server" EnableViewState="false">
                                        <th scope="col" class="sarApproveRollbackHeader"><%=LanguageHelper.Translate("/searchAndReplacePlugin/rollback")%>&nbsp;&nbsp;<input type="checkbox" id="RollbackCheckBox" value="<%=LanguageHelper.Translate("/searchAndReplacePlugin/selectAll")%>" onclick="javascript:SearchAndReplaceSelectAll(this.checked, 'RollbackCheckBox');" /> <label for="selectAllCheckBox"><%=LanguageHelper.Translate("/searchAndReplacePlugin/selectAll")%></label></th>
                                    </asp:PlaceHolder>
                                    <th scope="col"><%=LanguageHelper.Translate("/searchAndReplacePlugin/pageName")%></th>
                                    <th scope="col"><%=LanguageHelper.Translate("/searchAndReplacePlugin/languageBranch")%></th>
                                    <th scope="col"><%=LanguageHelper.Translate("/searchAndReplacePlugin/compare")%></th>
                                    <th scope="col"><%=LanguageHelper.Translate("/searchAndReplacePlugin/published")%></th>
                                    <th scope="col"><%=LanguageHelper.Translate("/searchAndReplacePlugin/rolledBack")%></th>
                                </tr>
                        </HeaderTemplate>
                        <ItemTemplate>
                                <tr>
                                    <td><asp:Literal ID="ViewLiteral" runat="server"><a href="{0}" class="sarView">{1}</a></asp:Literal></td>
                                    <asp:PlaceHolder ID="ApprovePlaceHolder" runat="server" EnableViewState="false">
                                        <td><asp:CheckBox ID="ApproveCheckBox" runat="server" /></td>
                                    </asp:PlaceHolder>
                                    <asp:PlaceHolder ID="RollbackPlaceHolder" runat="server" EnableViewState="false">
                                        <td><asp:CheckBox ID="RollbackCheckBox" runat="server" /></td>
                                    </asp:PlaceHolder>
                                    <td><asp:Literal ID="PageNameLiteral" runat="server" /></td>
                                    <td><asp:Literal ID="LanguageLiteral" runat="server"><img class="sarLanguageImage" src="{1}" alt="{0}" border="0" />{0}</asp:Literal></td>
                                    <td class="TraceabilityIssue"><EPiServerUI:ToolButton ID="CompareButton" Enabled="true" CommandName="Compare" SkinID="Compare" ToolTip='<%#LanguageHelper.Translate("/searchAndReplacePlugin/compare")%>' runat="server" OnClick="CompareButton_Click" CausesValidation="false" /></td>
                                    <%--<td><span class="epitoolbutton"><asp:ImageButton ID="CompareButton" CausesValidation="false" AlternateText='<%#LanguageHelper.Translate("/searchAndReplacePlugin/compare")%>' ToolTip='<%#LanguageHelper.Translate("/searchAndReplacePlugin/compare")%>' ImageUrl="~/App_Themes/Default/Images/Tools/Compare.gif" OnClick="CompareButton_Click" runat="server" /></span></td>--%>
                                    <td><asp:Literal ID="PublishedLiteral" runat="server" /></td>
                                    <td><asp:Literal ID="RolledbackLiteral" runat="server" /></td>
                                </tr>
                        </ItemTemplate>
                        <FooterTemplate>
                            </table>
                        </FooterTemplate>
                    </asp:Repeater>
	            </asp:Panel>
    	        
	            <asp:Panel ID="tabDynamicProperties" runat="server">
	                <asp:Literal ID="NoDynamicPropertiesFoundLiteral" runat="server" Text='<%#LanguageHelper.Translate("/searchAndReplacePlugin/noMatchingDynamicProperties")%>'></asp:Literal>
	                <asp:Repeater ID="DynamicPropertiesRepeater" runat="server" EnableViewState="false" OnItemDataBound="DynamicPropertiesRepeater_ItemDataBound">
                        <HeaderTemplate>
                            <table class="epi-default sarEPiStandardTable" cellspacing="0" style="border-style: none; border-collapse: collapse;" border="0">
                                <tr>
                                    <th scope="col"><%=LanguageHelper.Translate("/searchAndReplacePlugin/view")%></th>
                                    <th scope="col"><%=LanguageHelper.Translate("/searchAndReplacePlugin/pageName")%></th>
                                    <th scope="col"><%=LanguageHelper.Translate("/searchAndReplacePlugin/propertyName")%></th>
                                    <th scope="col"><%=LanguageHelper.Translate("/searchAndReplacePlugin/languageBranch")%></th>
                                </tr>
                        </HeaderTemplate>
                        <ItemTemplate>
                                <tr>
                                    <td><asp:Literal ID="ViewLiteral" runat="server"><a href="{0}" class="sarView">{1}</a></asp:Literal></td>
                                    <td><asp:Literal ID="PageNameLiteral" runat="server" /></td>
                                    <td><asp:Literal ID="PropertyNameLiteral" runat="server" /></td>
                                    <td><asp:Literal ID="LanguageLiteral" runat="server"><img class="sarLanguageImage" src="{1}" alt="{0}" border="0" />{0}</asp:Literal></td>
                                </tr>
                        </ItemTemplate>
                        <FooterTemplate>
                            </table>
                        </FooterTemplate>
                    </asp:Repeater>
	            </asp:Panel>
	            
	            <asp:Panel ID="tabErrors" runat="server">
	                <asp:Repeater ID="ErrorsRepeater" runat="server" EnableViewState="false" OnItemDataBound="ErrorsRepeater_ItemDataBound">
                        <HeaderTemplate>
                            <table class="epi-default sarEPiStandardTable" cellspacing="0" style="border-style: none; border-collapse: collapse;" border="0">
                                <tr>
                                    <th scope="col"><%=LanguageHelper.Translate("/searchAndReplacePlugin/view")%></th>
                                    <th scope="col"><%=LanguageHelper.Translate("/searchAndReplacePlugin/pageName")%></th>
                                    <th scope="col"><%=LanguageHelper.Translate("/searchAndReplacePlugin/propertyName")%></th>
                                    <th scope="col"><%=LanguageHelper.Translate("/searchAndReplacePlugin/languageBranch")%></th>
                                    <th scope="col"><%=LanguageHelper.Translate("/searchAndReplacePlugin/errorMessage")%></th>
                                </tr>
                        </HeaderTemplate>
                        <ItemTemplate>
                                <tr>
                                    <td><asp:Literal ID="ViewLiteral" runat="server"><a href="{0}" class="sarView">{1}</a></asp:Literal></td>
                                    <td><asp:Literal ID="PageNameLiteral" runat="server" /></td>
                                    <td><asp:Literal ID="PropertyNameLiteral" runat="server" /></td>
                                    <td><asp:Literal ID="LanguageLiteral" runat="server"><img class="sarLanguageImage" src="{1}" alt="{0}" border="0" />{0}</asp:Literal></td>
                                    <td><asp:Literal ID="ErrorMessageLiteral" runat="server" /></td>
                                </tr>
                        </ItemTemplate>
                        <FooterTemplate>
                            </table>
                        </FooterTemplate>
                    </asp:Repeater>
	            
	            </asp:Panel>
	            
            </asp:Panel>  
            
        </asp:Panel>
        
        <asp:Panel runat="server" ID="PreviewArea" Visible="False" CssClass="epi-padding-small">
            
            <EPiServerUI:ToolButton Enabled="true" CommandName="Cancel" SkinID="Cancel" ToolTip='<%#LanguageHelper.Translate("/searchAndReplacePlugin/cancel")%>' Text='<%#LanguageHelper.Translate("/searchAndReplacePlugin/cancel")%>' runat="server" OnClick="BackButton_Click" CausesValidation="false" />
            <br /><br />
            <asp:PlaceHolder ID="EPiDiffPlaceHolder" runat="server"></asp:PlaceHolder>

        </asp:Panel>
    
    </div>

</div>

<p class="sarClear">&nbsp;</p>